al_ustr_find_cset(3)

NAME

al_ustr_find_cset - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_ustr_find_cset(const ALLEGRO_USTR *us, int start_pos,
       const ALLEGRO_USTR *reject)

DESCRIPTION

This function finds the first code point in us, beginning from byte offset start_pos, that does not match any code point in reject. In other words it finds a code point in the complementary set of reject. Returns the byte position of that code point, if any. Otherwise returns -1.

SEE ALSO

al_ustr_find_cset_cstr(3), al_ustr_find_set(3)